{% extends 'layouts/base.html' %}

{% block title %} New User {% endblock %}

{% block body %}

<div class="row flex-lg-row flex-column mt-2">
    <div class="d-flex col-lg-12 col-md-12 col-sm-12 px-2 justify-content-center">
        <div class="card col-lg-3 col-md-3 col-sm-12 mt-5">
            <div class="card-header bg-primary fw-bolder text-light">New User</div>
            <div class="card-body">
                <form method="POST" action="/new-user" enctype="multipart/form-data">
                    <div class="form-group my-2">
                        <label for="username">Username</label>
                        <input type="text" name="username" id="username" class="form-control" value="" required>
                    </div>

                    <div class="form-group my-2">
                        <label for="password">Password:</label>
                        <input type="password" name="password" id="password" class="form-control" value="" required>
                    </div>

                    <div class="form-group my-2">
                        <label for="isAdmin">Type: </label>
                        <select name="isAdmin" id="isAdmin" class="form-control">
                            <option value="0">Standard</option>
                            <option value="1">Administrator</option>
                        </select>
                    </div>

                    {% include 'layouts/flash.html' %}

                    <button type="submit" class="btn btn-primary mt-5 w-100">Submit</button>
                </form>
            </div>
        </div>
    </div>
</div>
{% endblock %}